#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(is_nvdimm_bus_locked, 0x4161d052, "");
SYMBOL_CRC(nd_integrity_init, 0xfdc00280, "");
SYMBOL_CRC(nvdimm_bus_lock, 0xa37d387c, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xe97e17ec, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x40f0e557, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xa3941b0f, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x3ff5107c, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x07cb3737, "_gpl");
SYMBOL_CRC(__nd_driver_register, 0x77b97818, "");
SYMBOL_CRC(nd_device_notify, 0xf6672006, "");
SYMBOL_CRC(nd_device_register, 0xfa21fe25, "");
SYMBOL_CRC(nd_device_unregister, 0xf65c9cf0, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x0a674db8, "");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xbe31a24b, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x125edcb2, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x68d8a021, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xe8b742ba, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x37b7dfbb, "_gpl");
SYMBOL_CRC(nvdimm_region_notify, 0x4944f35d, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x49a85f9a, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x6212d721, "_gpl");
SYMBOL_CRC(to_ndd, 0xd44520d8, "");
SYMBOL_CRC(__nvdimm_create, 0xb9757892, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x3bfcfc82, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x73a55da5, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xc37bcc27, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xb3192a6f, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xec07aba8, "_gpl");
SYMBOL_CRC(nvdimm_name, 0x81864646, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x3e936673, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x8e2117bf, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xdf3c7e2d, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xc08a494d, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x01e7cc6d, "_gpl");
SYMBOL_CRC(nd_region_acquire_lane, 0xadc87adc, "");
SYMBOL_CRC(nd_region_release_lane, 0x8293149f, "");
SYMBOL_CRC(nd_region_to_nstype, 0xb823f961, "");
SYMBOL_CRC(is_nvdimm_sync, 0xc667ca0e, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xa4310982, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xa8801392, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x0ee6903a, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xda8ae78f, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x070ec31d, "_gpl");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xa8e76d9b, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x64c4e22e, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x88002e07, "_gpl");
SYMBOL_CRC(to_nd_region, 0xeb32da76, "_gpl");
SYMBOL_CRC(nd_dev_to_uuid, 0xa1add127, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x7ddb6878, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x7661963e, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x58516e97, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x985d9099, "");
SYMBOL_CRC(pmem_sector_size, 0x0ecdfd3d, "");
SYMBOL_CRC(pmem_should_map_pages, 0xe0c9f9a8, "");
SYMBOL_CRC(devm_namespace_disable, 0xe428bbef, "_gpl");
SYMBOL_CRC(devm_namespace_enable, 0xedbe4042, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x27e4114c, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(is_nd_btt, 0x87a73eb7, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x429cd779, "");
SYMBOL_CRC(nd_btt_probe, 0x3e8fbc90, "");
SYMBOL_CRC(nd_btt_version, 0xba292671, "");
SYMBOL_CRC(to_nd_btt, 0x0ad0432e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4c70f89a, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf4be71d, "blk_integrity_register" },
	{ 0x37bfae0d, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x1020308c, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x13e6adc9, "devm_memremap" },
	{ 0xbcc2bee4, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x37be0d4e, "badblocks_set" },
	{ 0x57d10fb1, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc348d96, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xbfdf65df, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x9dfca20b, "badblocks_exit" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x24f5562b, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4ee188e8, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x46ac2bd5, "__dynamic_dev_dbg" },
	{ 0x4315749d, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x9fc8919d, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xa2611fe7, "__devm_request_region" },
	{ 0x22c9ccba, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x96f06a5f, "put_device" },
	{ 0x5c249cf, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0x73cde21c, "_dev_info" },
	{ 0x41c53eca, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf9984056, "compat_ptr_ioctl" },
	{ 0x99e5488b, "perf_pmu_migrate_context" },
	{ 0xfcf293d6, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x47aa634c, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8924757a, "bus_unregister" },
	{ 0x85bf735, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0x5ce6382c, "__cpuhp_setup_state" },
	{ 0x985e966f, "devm_memunmap" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x5b85464a, "device_add" },
	{ 0xbad23696, "noop_llseek" },
	{ 0x6b06a90c, "class_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc88919da, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x2416edc7, "driver_unregister" },
	{ 0x147f4eaf, "__cpuhp_state_add_instance" },
	{ 0x7bb93f8c, "perf_pmu_unregister" },
	{ 0xf31c0d52, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf938a91b, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x3e216ab7, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x4c1e6ed9, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5e124a6, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x3e4bc001, "__devm_release_region" },
	{ 0x982c473c, "request_key_tag" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xfa5faa20, "kernfs_put" },
	{ 0x5a1e81de, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x84e8408, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x2d8a4080, "badblocks_check" },
	{ 0xc7105ccc, "kmalloc_trace" },
	{ 0x85d5f72a, "__devm_add_action" },
	{ 0x9032e60c, "badblocks_clear" },
	{ 0xe235b4fb, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xbd5f6ad8, "driver_register" },
	{ 0x9818a9c5, "__cpuhp_remove_state" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x90342158, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0x69d65d1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd170e884, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B3F1091B1CE26965219881");
MODULE_INFO(rhelversion, "9.99");
