#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wpan_phy_find, 0x56d2a4c3, "");
SYMBOL_CRC(wpan_phy_for_each, 0x1b430189, "");
SYMBOL_CRC(wpan_phy_free, 0x173caa4f, "");
SYMBOL_CRC(wpan_phy_new, 0xdb5037b2, "");
SYMBOL_CRC(wpan_phy_register, 0x3a75bedc, "");
SYMBOL_CRC(wpan_phy_unregister, 0x2739cff8, "");
SYMBOL_CRC(ieee802154_beacon_push, 0x0b6d1e0a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x504973c7, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x7cb2f861, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xd8d64386, "_gpl");
SYMBOL_CRC(ieee802154_hdr_push, 0xdab32cf3, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xacaaaa46, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x68ee2b3e, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x0fa05170, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xff24d633, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xba9f99cc, "bpf_trace_run4" },
	{ 0x4975ef4a, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc2bee4, "dev_set_name" },
	{ 0xa23b019a, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x39e64d33, "trace_raw_output_prep" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xd619ea72, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa144bb60, "trace_event_printf" },
	{ 0xbfdf65df, "device_initialize" },
	{ 0xcc68545c, "genlmsg_put" },
	{ 0xd461a907, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x74bcf573, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4ee188e8, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdd638ac3, "device_rename" },
	{ 0x91fcf63d, "trace_event_buffer_commit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x96f06a5f, "put_device" },
	{ 0x82e2ed49, "netlink_broadcast" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf6774242, "__alloc_skb" },
	{ 0xfcf3003a, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd8217d14, "__dev_get_by_index" },
	{ 0x4bcf6c78, "perf_trace_run_bpf_submit" },
	{ 0xf2db78c4, "init_net" },
	{ 0xfd0e9696, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b85464a, "device_add" },
	{ 0x7dae4e84, "netlink_unicast" },
	{ 0xc39f7b4a, "dev_get_by_index" },
	{ 0x5b86ef71, "kfree_skb_reason" },
	{ 0xe6e7da1, "skb_push" },
	{ 0x7965889, "nla_put" },
	{ 0x239a725, "trace_event_reg" },
	{ 0x5e53946d, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x70d5420a, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2ae245a6, "bpf_trace_run1" },
	{ 0xd744e495, "device_del" },
	{ 0x65378904, "dev_set_mac_address" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xc37fd330, "__pskb_pull_tail" },
	{ 0xe6eec73, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe1055304, "bpf_trace_run3" },
	{ 0xcd2c0a1c, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x87739579, "get_net_ns_by_pid" },
	{ 0x3df866a, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x98c232ed, "device_match_name" },
	{ 0x7924939b, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfd31ddf0, "genl_unregister_family" },
	{ 0xc7105ccc, "kmalloc_trace" },
	{ 0xd189fa48, "genl_register_family" },
	{ 0x75cb8644, "__dev_change_net_namespace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x24404210, "register_pernet_device" },
	{ 0x33a0f9aa, "get_net_ns_by_fd" },
	{ 0x77820055, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x90342158, "kmalloc_caches" },
	{ 0x9aba2b62, "class_find_device" },
	{ 0xd170e884, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "29F7EF9CC394C0B1A1884F4");
MODULE_INFO(rhelversion, "9.99");
