#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_recv_common, 0x5a3c6714, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x5e608b7a, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x304e93ec, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x4a6de26e, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xd73e04aa, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x893435dd, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x3f6cb896, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x89f7773a, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xecba573f, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x58901488, "_gpl");
SYMBOL_CRC(l2tp_sk_to_tunnel, 0x178c8784, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x46344140, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xd3b5b675, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xf8487883, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xc9b8b0ea, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x446aa253, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xe484ea1f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x7c274264, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x4acf06c3, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xb34879c9, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x765cd965, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4bcf6c78, "perf_trace_run_bpf_submit" },
	{ 0x3df866a, "trace_event_buffer_reserve" },
	{ 0x91fcf63d, "trace_event_buffer_commit" },
	{ 0xd619ea72, "__trace_trigger_soft_disabled" },
	{ 0x39e64d33, "trace_raw_output_prep" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0xa144bb60, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x2ae245a6, "bpf_trace_run1" },
	{ 0x74bcf573, "bpf_trace_run2" },
	{ 0x6b191408, "sock_create_kern" },
	{ 0x58d05fd6, "kernel_bind" },
	{ 0xf86a1ad8, "kernel_connect" },
	{ 0x8fbd0ef8, "udp_sock_create6" },
	{ 0xb1dded36, "kernel_sock_shutdown" },
	{ 0xd5125e8d, "sock_release" },
	{ 0x37a8e547, "udp_sock_create4" },
	{ 0x24404210, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x70d5420a, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3761d215, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x90342158, "kmalloc_caches" },
	{ 0xc7105ccc, "kmalloc_trace" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf0f21fd2, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe798236d, "jiffies" },
	{ 0x5b86ef71, "kfree_skb_reason" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x88307a17, "skb_dequeue" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xbfc8c82b, "sockfd_lookup" },
	{ 0xe843d460, "lock_sock_nested" },
	{ 0xfedef45e, "release_sock" },
	{ 0xbd52aaf7, "fput" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x2dfcce19, "setup_udp_tunnel_sock" },
	{ 0xaf2f65bd, "skb_queue_tail" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc37fd330, "__pskb_pull_tail" },
	{ 0x9600f85d, "pskb_expand_head" },
	{ 0x82d390e4, "udp_set_csum" },
	{ 0xbee4bed3, "ip_queue_xmit" },
	{ 0x16116bb6, "udp6_set_csum" },
	{ 0x5185fd9b, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa66efe19, "dst_release" },
	{ 0x239a725, "trace_event_reg" },
	{ 0xd461a907, "trace_event_raw_init" },
	{ 0xd170e884, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DCB1127560878BD49F2688E");
MODULE_INFO(rhelversion, "9.99");
